%% PLOT_ALL_LAMBDA_NUM_EXP is a script for plotting the lambda analysis figures
% 
% Code implemented by: Karsten Fyhn
% Contact e-mail: kfn@es.aau.dk
%
% Copyright 2013 Karsten Fyhn
%
% Licensed under the Apache License, Version 2.0 (the "License");
% you may not use this file except in compliance with the License.
% You may obtain a copy of the License at
%
%   http://www.apache.org/licenses/LICENSE-2.0
%
% Unless required by applicable law or agreed to in writing, software
% distributed under the License is distribued on an "AS IS" BASIS,
% WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
% See the License for the specific language governing permissions and
% limitations under the License.
clear; clc; 
addpath('../results_and_plotting');

figure(1); clf(); 
fn1 = 'lambda_analysis_tde_SNR1000_kappalambdasweep';
merge_simulations(fn1, 'tmp/', 0); 
plot_lambda_num_exp(fn1, 1, 1, 1);

figure(2); clf(); 
fn2 = 'lambda_analysis_tde_kappa1_SNRlambdasweep';
merge_simulations(fn2, 'tmp/', 0); 
plot_lambda_num_exp(fn2, 0, 1, 1);